/* Copyright (C) 2003, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef DATAUPDATER_HH
#define DATAUPDATER_HH

#include "PanelHandler.hh"
#include "StatusReceiver.hh"
#include "HistoryReceiver.hh"

namespace wmium_gk2 {

class DataUpdater : public PanelHandler, StatusReceiver, HistoryReceiver {
  public:
    DataUpdater ();
    virtual ~DataUpdater ();

    virtual void reDraw ();

    virtual HistoryReceiver& getHistoryReceiver ();
    virtual StatusReceiver& getStatusReceiver ();

    virtual void setDslText (const std::string& text);
    virtual void setErrorText (const std::string& text);
    virtual void setSpeed (int speed);
    virtual void setMaxLimit (int max);
    virtual void setUsage (int used);
    virtual void setRollingUsage (int used);
    virtual void setRollOverDate (int day, int month);

    virtual void setGraphData (const SampleVector& data);

  private:
    std::string m_dsl_text;
    std::string m_dsl_speed;
};

} // end namespace
#endif
