/* Copyright (C) 2003, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef NETWORKMANAGER_HH
#define NETWORKMANAGER_HH

#include "FDSet.hh"
#include "UsageDataHandler.hh"
#include "SpeedDataHandler.hh"
#include "HistoryDataHandler.hh"
#include "StatsFetcher.hh"
#include <string>

class PanelHandler;

namespace wmium_gk2 {

class NetworkManager {
  public:
    NetworkManager (PanelHandler& panelHandler);
    ~NetworkManager ();

    void setLoginDetails (const std::string *username, const std::string *password, const std::string *hostname, const std::string *url);

    void queueNewRequests ();
    void processNetworkData ();

  private:
    NetworkManager (const NetworkManager&);
    NetworkManager& operator = (const NetworkManager&);

    FDSet m_fdSet;

    UsageDataHandler m_usageDataHandler;
    SpeedDataHandler m_speedDataHandler;
    HistoryDataHandler m_historyDataHandler;

    StatsFetcher* m_statsFetcher;
};

} // end namespace
#endif
