/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef EREGEX_HH
#define EREGEX_HH

#include <sys/types.h>
#include <regex.h>
#include <string>

/**
 * Encapsulating class for an Extended Regular Expression.
 *
 * Only basic match/nomatch functionality included.
 */
class ERegEx {
  public:
    explicit ERegEx (const std::string& exp);
    ~ERegEx ();

    bool isMatch (const std::string& str) const;

  private:
    ERegEx (const ERegEx&);
    ERegEx& operator = (const ERegEx&);

    regex_t m_regex;
};

#endif
