/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef FDSET_HH
#define FDSET_HH

#include "FDHolder.hh"
#include <vector>

/**
 * Higher abstraction of the traditional fdset structure, with builtin select().
 *
 * High level class utilizing the information provided by FDHolders to wait
 * for a specific network event.
 *
 * @see FDHolder
 */
class FDSet {
  public:
    FDSet ();
    ~FDSet ();

    void addFDHolder (FDHolder& holder);
    void removeFDHolder (FDHolder& holder);

    bool checkForEvent (bool block); // will fail if no events to wait for!

  private:
    FDSet (const FDSet&);
    FDSet& operator = (const FDSet&);

    typedef std::vector<FDHolder *> FDVector;

    FDVector m_fds;
};

#endif
