/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef HISTORYDATAHANDLER_HH
#define HISTORYDATAHANDLER_HH

#include "DataHandler.hh"

class PanelHandler;

/**
 * Specialized DataHandler to interpret and process the history data.
 *
 * Updates the history graph panel with the new data received.
 */
class HistoryDataHandler : public DataHandler {
  public:
    explicit HistoryDataHandler (PanelHandler& panel);
    ~HistoryDataHandler ();

    virtual void processData (std::string& data);

  private:
    HistoryDataHandler (const HistoryDataHandler&);
    HistoryDataHandler& operator = (const HistoryDataHandler&);

    PanelHandler& m_panel;
};

#endif
