/* Copyright (C) 2003, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef PANELHANDLER_HH
#define PANELHANDLER_HH

#include "StatusReceiver.hh"
#include "HistoryReceiver.hh"

/**
 * Protocol class for coordinating submission of data to status and history
 * receivers.
 *
 * Allows for a convenient way to report errors from the history data handler
 * (via the StatusReceiver)  and request redrawing after all data has been
 * submitted to the receivers themselves.
 *
 * @see StatusReceiver
 */
class PanelHandler {
  public:
    virtual ~PanelHandler () {};

    virtual void reDraw () = 0;

    virtual HistoryReceiver& getHistoryReceiver () = 0;
    virtual StatusReceiver& getStatusReceiver () = 0;
};

#endif
