/* Copyright (C) 2002-2005, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef REQUEST_HH
#define REQUEST_HH

#include "SSLClientSocket.hh"
#include "DataHandler.hh"
#include <string>

/**
 * Abstraction that is responsible for sending an HTTPS request string and
 * retrieve the response for it, and then pass it on to the given DataHandler.
 *
 * @see DataHandler
 */
class Request {
  public:
    Request (SSLClientSocket *s, const std::string& request, DataHandler& handler, bool snoop);
    ~Request ();

    FDHolder& getFDHolder ();

    bool processNetworkEvent ();

  private:
    Request (const Request&);
    Request& operator = (const Request&);

    SSLClientSocket *m_sock;
    std::string m_request;
    DataHandler& m_handler;
    std::string m_data;
    bool m_snoop;
};

#endif
