/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef RESOURCEFILE_HH
#define RESOURCEFILE_HH

#include <string>
#include <map>

/**
 * Easy interface to load a resource file and retrieve specific entries from it.
 */
class ResourceFile {
  public:
    explicit ResourceFile(const std::string& filename);
    ~ResourceFile();

    bool load();

    std::string getValue (const std::string& key, const std::string& def = "");

  private:
    ResourceFile(const ResourceFile&);
    ResourceFile& operator = (const ResourceFile&);

    std::string m_filename;
    typedef std::map<std::string, std::string> ResourceMap;
    ResourceMap m_entries;
};

#endif
