/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#include "SSLPtr.hh"

/**
 * Initializes the SSLPtr object with the SSL object to manage.
 *
 * @param ssl The SSL object to manage.
 */
SSLPtr::SSLPtr (SSL *ssl) : m_ssl (ssl) {
}

/**
 * Destroys this object and frees the managed SSL object.
 */
SSLPtr::~SSLPtr () {
  if (m_ssl) SSL_free (m_ssl);
}

/**
 * Dereferences this object to return the managed SSL object instead.
 */
SSLPtr::operator SSL * () {
  return m_ssl;
}
