/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#include "SSL_CTXPtr.hh"

/**
 * Initializes this object with the SSL_CTX object to manage.
 *
 * @param ssl The SSL_CTX object to manage.
 */
SSL_CTXPtr::SSL_CTXPtr (SSL_CTX *ssl) : m_ssl (ssl) {
}

/**
 * Destroys this object and frees the managed SSL_CTX object.
 */
SSL_CTXPtr::~SSL_CTXPtr () {
  if (m_ssl) SSL_CTX_free (m_ssl);
}

/**
 * Dereferences this object to return the managed SSL_CTX object instead.
 */
SSL_CTXPtr::operator SSL_CTX * () {
  return m_ssl;
}
