/* Copyright (C) 2004, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef SIMPLECALENDAR_HH
#define SIMPLECALENDAR_HH

#include <ctime>

/**
 * Encapsulating class for counting days calendar wise, in ISO format.
 * I.e. "20040120"
 */
class SimpleCalendar {
  public:
    explicit SimpleCalendar (unsigned long isoStartDate);
    ~SimpleCalendar ();

    unsigned long isoDate () const;
    void advanceDays (int numDays);

  private:
    SimpleCalendar (const SimpleCalendar&);
    SimpleCalendar& operator = (const SimpleCalendar&);

    time_t m_time;
};

#endif
