/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef SPEEDDATAHANDLER_HH
#define SPEEDDATAHANDLER_HH

#include "DataHandler.hh"

class PanelHandler;

/**
 * Specialized DataHandler for interpreting and processing the speed data.
 */
class SpeedDataHandler : public DataHandler {
  public:
    explicit SpeedDataHandler (PanelHandler& panel);
    ~SpeedDataHandler ();

    virtual void processData (std::string& data);

  private:
    SpeedDataHandler (const SpeedDataHandler&);
    SpeedDataHandler& operator = (const SpeedDataHandler&);

    PanelHandler& m_panel;
};

#endif
