/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef STATUSPAINTER_HH
#define STATUSPAINTER_HH

#include "StatusReceiver.hh"
#include "WMDockWindow.hh"
#include "XpmCharSetLCD6x8.hh"
#include "XpmField.hh"
#include "XpmResourceMeter.hh"
#include <X11/Xlib.h>
#include <X11/xpm.h>

/**
 * Class responsible for the painting of the status panel.
 */
class StatusPainter : public StatusReceiver {
  public:
    StatusPainter (Display& dpy, WMDockWindow& window);
    virtual ~StatusPainter ();

    virtual void setDslText (const std::string& text);
    virtual void setErrorText (const std::string& text);
    virtual void setSpeed (int speed);
    virtual void setMaxLimit (int max);
    virtual void setUsage (int used);
    virtual void setRollingUsage (int used);
    virtual void setRollOverDate (int day, int month);

    void resetMask ();
    void reDraw ();

    void toggleDateFormat ();

  private:
    void updateUsageString ();

    Display& m_display;
    WMDockWindow& m_window;
    XpmCharSetLCD6x8 m_charset;
    XpmField m_dsl;
    XpmField m_speed;
    XpmResourceMeter m_meter;
    XpmField m_usage;
    XpmField m_rollOver;
    Pixmap m_mask;
    int m_max;
    int m_cur;
    bool m_alternateDateFormat;
};

#endif
