/* Copyright (C) 2003, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef STATUSRECEIVER_HH
#define STATUSRECEIVER_HH

#include <string>

/**
 * Protocol class for receiving status data.
 */
class StatusReceiver {
  public:
    virtual ~StatusReceiver () {};

    virtual void setDslText (const std::string& text) = 0;
    virtual void setErrorText (const std::string& text) = 0;
    virtual void setSpeed (int speed) = 0;
    virtual void setMaxLimit (int max) = 0;
    virtual void setUsage (int used) = 0;
    virtual void setRollingUsage (int used) = 0;
    virtual void setRollOverDate (int day, int month) = 0;
};

#endif
