/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef USAGEDATAHANDLER_HH
#define USAGEDATAHANDLER_HH

#include "DataHandler.hh"

class PanelHandler;

/**
 * Specialized DataHandler for the interpretation and processing of usage data.
 */
class UsageDataHandler : public DataHandler {
  public:
    explicit UsageDataHandler (PanelHandler& panel);
    ~UsageDataHandler ();

    virtual void processData (std::string& data);

  private:
    UsageDataHandler (const UsageDataHandler&);
    UsageDataHandler& operator = (const UsageDataHandler&);

    PanelHandler& m_panel;
};

#endif
