/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef WMDOCKWINDOW_HH
#define WMDOCKWINDOW_HH

#include <X11/Xlib.h>
#include <X11/xpm.h>
#include <string>

/**
 * Class dealing with most of the ickiness involved in creating a window suited
 * for docking on the WMDock.
 *
 * Provides easy access to set the shape mask, as well as Xpm drawing.
 */
class WMDockWindow {
  public:
    WMDockWindow (Display& dpy, const std::string& name, int size);
    ~WMDockWindow ();

    void setMask (Pixmap& mask);
    void setVisible (bool visible);
    void drawXpmAt (const Pixmap& xpm, int x, int y, int cx, int cy, int atx, int aty);

  private:
    Display& m_display;
    Window m_window;
    Window m_iconWindow;
    GC m_gc;
};

#endif
