/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#include "XResource.hh"
#include <X11/Xlib.h>
#include <new>

using std::bad_alloc;

/**
 * Initilizes the XResource object with the X object to manage.
 *
 * @param xResource The pointer to the object that needs to be XFree()d.
 * @exception bad_alloc If xResource is null.
 */
XResource::XResource (void *xResource)
  : m_xResource (xResource)
{
  if (!m_xResource) throw bad_alloc ();
}

/**
 * Destroys the object and XFree()s the X resource managed.
 */
XResource::~XResource () {
  XFree (m_xResource);
}
