/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef XPMCHARSETLCD8X6_HH
#define XPMCHARSETLCD8X6_HH

#include <X11/Xlib.h>
#include <X11/xpm.h>
#include <string>

class WMDockWindow;

/**
 * Class responsible for drawing text strings onto WMDockWindows using the
 * predefined LCD charset.
 */
class XpmCharSetLCD6x8 {
  public:
    explicit XpmCharSetLCD6x8 (Display& dpy);
    ~XpmCharSetLCD6x8 ();

    void drawString (WMDockWindow& window, int x, int y, const std::string& text);

  private:
    XpmCharSetLCD6x8 (const XpmCharSetLCD6x8&);
    XpmCharSetLCD6x8& operator = (const XpmCharSetLCD6x8&);

    Pixmap m_xpm;
    Display& m_display;
};

#endif
