/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef XPMFIELD_HH
#define XPMFIELD_HH

#include "WMDockWindow.hh"
#include "XpmCharSetLCD6x8.hh"
#include <X11/Xlib.h>
#include <X11/xpm.h>
#include <string>

/**
 * Abstraction to enable easy positioning of text fields on a WMDockWindow.
 *
 * Also supports variable field backgrounds and field sizes.
 */
class XpmField {
  public:
    XpmField (Display& dpy, WMDockWindow& window, XpmCharSetLCD6x8& charset, int x, int y, char **xpmData);
    ~XpmField ();

    void setText (const std::string& text);
    void reDraw ();

  private:
    Display& m_display;
    WMDockWindow& m_window;
    XpmCharSetLCD6x8& m_charset;
    int m_x;
    int m_y;
    Pixmap m_frame;
    int m_frameX;
    int m_frameY;
    std::string m_text;
};

#endif
