/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef XPMGRAPHFIELD_HH
#define XPMGRAPHFIELD_HH

#include "WMDockWindow.hh"
#include <X11/Xlib.h>
#include <X11/xpm.h>
#include "SampleTransformer.hh"

/**
 * Abstraction to provide simple-to-place graphs on a WMDockWindow.
 */
class XpmGraphField {
  public:
    XpmGraphField (Display& dpy, WMDockWindow& window, int x, int y, char **xpmData);
    ~XpmGraphField ();

    void setGraphData (const SampleVector& data);
    void reDraw ();

    int getGraphWidth () const;
    int getGraphHeight () const;

  private:
    Display& m_display;
    WMDockWindow& m_window;
    int m_x;
    int m_y;
    Pixmap m_frame;
    Pixmap m_bar;
    int m_frameX;
    int m_frameY;
    SampleVector m_graphData;
};

#endif
