/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef XPMRESOURCEMETER_HH
#define XPMRESOURCEMETER_HH

#include "WMDockWindow.hh"
#include <X11/Xlib.h>
#include <X11/xpm.h>

/**
 * Abstraction for traditional "meter/progress" control for WMDockWindows.
 */
class XpmResourceMeter {
  public:
    XpmResourceMeter (Display& dpy, WMDockWindow& window, int x, int y);
    ~XpmResourceMeter ();

    void setMaxValue (int max);
    void setCurrentValue (int current);
    void reDraw ();

  private:
    XpmResourceMeter (const XpmResourceMeter&);
    XpmResourceMeter& operator = (const XpmResourceMeter&);

    Display& m_display;
    WMDockWindow& m_window;
    int m_x;
    int m_y;
    Pixmap m_active;
    Pixmap m_inactive;
    int m_max;
    int m_cur;
    int m_pixelsActive;
};

#endif
